## coq-iris 3.6.0

=== debian/changelog ===
coq-iris (3.6.0-1build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jul 2022 00:25:29 +0200

coq-iris (3.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014921)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Jul 2022 18:05:39 +0200

## coq-iris 4.0.0

=== tex/Makefile ===
all:
	latexmk iris -pdf

loop:
	latexmk iris -pdf -pvc

clean:
	latexmk -c

=== debian/changelog ===
coq-iris (4.0.0-2) unstable; urgency=medium

  * Workaround a dh-coq limitation.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Sep 2022 13:11:54 +0200

coq-iris (4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 19 Aug 2022 11:38:43 +0200

=== debian/control ===
Source: coq-iris
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: biber,
               coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               latexmk,
               libcoq-ocaml-dev,
               libcoq-stdpp,
               lmodern,
               texlive-bibtex-extra,
               texlive-fonts-extra,
               texlive-latex-extra,
               texlive-science
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-iris
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-iris.git
Homepage: https://gitlab.mpi-sws.org/iris/iris

Package: libcoq-iris
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: high-order concurrent separation logic framework for Coq
 This package provides a high-order concurrent separation
 logic framework for Coq, which means it is useful to reason
 about safety of concurrent programs.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	# doesn't work like this

override_dh_auto_build:
	make -C tex
	make

override_dh_auto_install:
	make install DESTDIR=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## coq-iris 4.1.0

=== debian/changelog ===
coq-iris (4.1.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:17:45 +0200

coq-iris (4.1.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:28 +0000

coq-iris (4.1.0-1build1) noble; urgency=medium

  * No-change rebuild for new coq-stdpp ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Mar 2024 18:28:00 +0000

coq-iris (4.1.0-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044393).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:59:31 +0100

coq-iris (4.0.0-4) unstable; urgency=medium

  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:07:39 +0200

coq-iris (4.0.0-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: coq-iris
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: biber,
-               coq,
+               coq (>= 8.18),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
                latexmk,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdpp,
                lmodern,
                texlive-bibtex-extra,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 	dh $@ --with coq,ocaml
 
 override_dh_auto_clean:
-	# doesn't work like this
+	make -C tex clean
+	make clean
+	rm -f Makefile.coq.conf
+	rm -f tex/iris.bbl tex/iris.run.xml tex/iris.pdf
 
 override_dh_auto_build:
 	make -C tex

=== debian/watch ===
version=4
https://gitlab.mpi-sws.org/iris/iris/-/tags .*/iris-iris-([\d\.]+).tar.gz

## coq-iris 4.2.0

=== debian/changelog ===
coq-iris (4.2.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:12:51 +0200

coq-iris (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Apr 2024 15:58:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-iris
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: biber,
                coq (>= 8.18),

## coq-iris 4.3.0

=== debian/changelog ===
coq-iris (4.3.0-1ubuntu3) resolute; urgency=medium

  * Rebuild again because riscv picked the wrong ABI

 -- Sebastien Bacher <seb128@debian.org>  Wed, 04 Mar 2026 16:12:24 +0100

coq-iris (4.3.0-1ubuntu2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jan 2026 20:24:08 +0100

coq-iris (4.3.0-1ubuntu1) resolute; urgency=medium

  * Longer timeout (5s) for riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Jan 2026 14:58:25 +0100

coq-iris (4.3.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:10:57 +0100

coq-iris (4.3.0-1build3) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 20:54:28 -0500

coq-iris (4.3.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:43:09 +0100

coq-iris (4.3.0-1build1) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:22:08 -0500

coq-iris (4.3.0-1) unstable; urgency=medium

  * New upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:53:37 +0100

coq-iris (4.2.0-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Do not hardcode /usr/lib/ocaml

  [ Julien Puydt ]
  * Fix d/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 07:05:01 +0200

coq-iris (4.2.0-2) unstable; urgency=medium

  * Add patch for longer timeouts (unbreaks riscv64).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 10 Jun 2024 18:00:15 +0200

## coq-iris 4.4.0

=== Makefile ===
# Default target
all: Makefile.coq
	+@$(MAKE) -f Makefile.coq all
.PHONY: all

# Build with dune.
# This exists only for CI; you should just call `dune build` directly instead.
dune:
	@dune build --display=short
.PHONY: dune

# Permit local customization
-include Makefile.local

# Forward most targets to Coq makefile (with some trick to make this phony)
%: Makefile.coq phony
	@#echo "Forwarding $@"
	+@$(MAKE) -f Makefile.coq $@
phony: ;
.PHONY: phony

clean: Makefile.coq
	+@$(MAKE) -f Makefile.coq clean
	@# Make sure not to enter the `_opam` folder.
	find [a-z]*/ \( -name "*.d" -o -name "*.vo" -o -name "*.vo[sk]" -o -name "*.aux" -o -name "*.cache" -o -name "*.glob" -o -name "*.vio" \) -print -delete || true
	rm -f Makefile.coq .lia.cache builddep/*
.PHONY: clean

# Create Coq Makefile.
Makefile.coq: _CoqProject Makefile
	"$(COQBIN)coq_makefile" -f _CoqProject -o Makefile.coq $(EXTRA_COQFILES)

# Install build-dependencies
OPAMFILES=$(wildcard *.opam)
BUILDDEPFILES=$(addsuffix -builddep.opam, $(addprefix builddep/,$(basename $(OPAMFILES))))

builddep/%-builddep.opam: %.opam Makefile
	@echo "# Creating builddep package for $<."
	@mkdir -p builddep
	@sed <$< -E 's/^(build|install|remove):.*/\1: []/; s/"(.*)"(.*= *version.*)$$/"\1-builddep"\2/;' >$@

builddep-opamfiles: $(BUILDDEPFILES)
.PHONY: builddep-opamfiles

builddep: builddep-opamfiles
	@# We want opam to not just install the build-deps now, but to also keep satisfying these
	@# constraints.  Otherwise, `opam upgrade` may well update some packages to versions
	@# that are incompatible with our build requirements.
	@# To achieve this, we create a fake opam package that has our build-dependencies as
	@# dependencies, but does not actually install anything itself.
	@echo "# Installing builddep packages."
	@opam install $(OPAMFLAGS) $(BUILDDEPFILES)
.PHONY: builddep

# Backwards compatibility target
build-dep: builddep
.PHONY: build-dep

# Some files that do *not* need to be forwarded to Makefile.coq.
# ("::" lets Makefile.local overwrite this.)
Makefile Makefile.local _CoqProject $(OPAMFILES):: ;

=== debian/changelog ===
coq-iris (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 10:07:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: biber,
-               coq (>= 8.18),
+               coq,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/ocaml/ocamlvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom iris prelude
Depends: coq, @

=== debian/watch ===
version=4
opts=searchmode=plain \
https://gitlab.mpi-sws.org/iris/iris/tags?sort=updated_desc -/archive/iris-\d[\d.]+/iris-iris-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
